For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve all speech credentials for an account
      • POSTadd a speech credential
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
      • POSTget TTS from provider
      • GETlist google custom voices
      • POSTcreate a Google custom voice
      • GETretrieve google custom voice
      • PUTupdate google custom voice
      • DELdelete a google custom voice
      • POSTcreate a speech credential for a service provider
      • GETget a specific speech credential
      • PUTupdate a speech credential
      • DELdelete a speech credential
      • GETget supported languages, voices and models
      • GETtest a speech credential
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementSpeech

get TTS from provider

POST
https://api.jambonz.cloud/v1/Accounts/:AccountSid/TtsCache/Synthesize
POST
/v1/Accounts/:AccountSid/TtsCache/Synthesize
$curl -X POST https://api.jambonz.cloud/v1/Accounts/AccountSid/TtsCache/Synthesize \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "speech_credential_sid": "553b4b6b-8918-4394-a46d-1e3c5a3c717b",
> "text": "Hello How are you",
> "language": "en-US",
> "voice": "en-US-Standard-C"
>}'
Was this page helpful?
Previous

list google custom voices

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

AccountSidstringRequiredformat: "uuid"

Request

This endpoint expects an object.
speech_credential_sidstringRequired
Speech credential Sid
textstringRequired
the text to convert to audio
languagestringRequired
language is used in text
voicestringRequired
voice ID
encodingMp3booleanOptional
convert audio to mp3.

Response

Audio is created

Errors

400
Bad Request Error
422
Unprocessable Entity Error
500
Internal Server Error